Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
PUT

Update a payment method

Scope: sales:invoicing-settings.write https://api.alladdin.com/api/v2/payment-methods/{paymentMethodId}

Updates an existing manual payment method.

Parameters

Path parameters

paymentMethodId string required

Payment method identifier

Request body

object name string

Display name for the payment method

dueDays integer | null

Number of days until due

bankingAccountId string | null

Associated banking account ID

Request

python
import requests

url = "https://api.alladdin.com/api/v2/payment-methods/507f1f77bcf86cd799439011"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

payload = {
    "name": "string",
    "dueDays": 0,
    "bankingAccountId": "string"
}
response = requests.put(url, headers=headers, json=payload)
print(response.json())

Responses

Response

json
{
  "id": "string"
}

Success responses

200 Payment method updated application/json object id string

Error responses

400 Bad request application/json 401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Payment method not found application/json

← PreviousCreate a payment method →

Next →Delete a payment method →